IPV6_MTU(2const)

NAME
IPV6_MTU - path maximum transmission unit size

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IPV6, IPV6_MTU,
               const int *val, sizeof(int));
int getsockopt(int sockfd, IPPROTO_IPV6, IPV6_MTU,
               int *val, sizeof(int));

DESCRIPTION

getsockopt():
    Retrieve the current known path MTU of the current socket. Valid only when the socket has been connected.

setsockopt():
    Set the MTU to be used for the socket. The MTU is limited by the device MTU or the path MTU when path MTU discovery is enabled.

ERRORS
See IPPROTO_IPV6(2const). See setsockopt(2). See ipv6(7).

SEE ALSO
IPPROTO_IPV6(2const), setsockopt(2), ipv6(7)